<?php

include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
  
  $inver=$_POST['idinv'];
  $tipo=$_POST['transacc'];
  $nombre=$_POST['nom'];
  $apat=$_POST['ape'];
  

 
  
  
  if($tipo==1){
  
$qa = "SELECT id_inver, rfc, nombre, appat, apmat, estatus_idestatus, idprom FROM inversionista WHERE referencia = '".$inver."'";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());

   if(mysql_affected_rows())
   {
       	
   	$ra = mysql_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc = $ra->rfc;
	$nombre = $ra->nombre;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $estatus = $ra->estatus_idestatus;
    $idp = $ra->idprom;
 }
 
   $qPP = "SELECT reg from promo_esp where id_inverp = '".$id."'";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

if(mysql_affected_rows())
{


while (($objetoPP=mysql_fetch_object($rPP)) )

{
$esta=$objetoPP->reg;


}

}else{echo"<center><font color='red'>Esta persona no esta registrada en el evento</font><br><BR>";}
 
 
 if($esta==1){
	 echo"<center><font color='red' size='+3'>Esta persona ya se encuentra registrada, favor de revisar</font>";
	 $elextra="Reimpresion";
 }
 
 
 
 
 
 
 $barcode="<img src='https://barcode.tec-it.com/barcode.ashx?data=$inver&code=Code128&multiplebarcodes=false&translate-esc=false&unit=Fit&dpi=96&imagetype=Gif&rotation=0&color=%23000000&bgcolor=%23ffffff&qunit=Mm&quiet=0' />";
 
 
 }else{$barcode="<font size='+5'><b>Invitado</b></font>";} 
 echo"<table><tr valign=\"top\" height=\"400\"><td align='center' width=400>
 <br><br><br><br><br><br><br><font size='+3'>11 Aniversario</font><br>$elextra<br><font size='+2'>Puerto Vallarta, Jalisco $esta</font><br><br>
 <font size='+3'>$nombre </font><br><font size='+2'>$apat $amat</font><br><br>$barcode<br><br> </td>
<td align='center' width=30></td>
 <td align='center' width=400> <br><br><br><br><br><br><br><font size='+3'>11 Aniversario</font><br>$elextra<br><font size='+2'>Puerto Vallarta, Jalisco </font><br><br>
 <font size='+3'>$nombre </font><br><font size='+2'>$apat $amat</font><br><br><a href='registroevento2.php?ref=$id'>$barcode</a><br><br> </td></tr></table>";
 
?>